OVERLAY_SEGMENTS(3)

FUNCTION
overlay_segments - Add many segments to an overlay list.

SYNOPSIS
#include <karma_overlay.h>

unsigned int overlay_segments

(KOverlayList olist, unsigned int num_segments, unsigned int *types0, double *x0, double *y0, unsigned int *types1, double *x1, double *y1, CONST char *colourname)

DESCRIPTION
This routine will add a number of disjoint line segments to an overlay object list. These segments will form a single object. Using this routine is far more efficient than calling <-overlay_line-> repeatedly.

olist
    The overlay list object.

num_segments
    The number of segments.

types0
    The types of the start co-ordinates. If this is NULL, all co-ordinates are assumed to be world co-ordinates. See <-overlay_COORDINATE_TYPES-> for a list of supported co-ordinate types.

x0  The horizontal positions of the start co-ordinates.

y0  The vertical positions of the start co-ordinates.

types1
    The types of the stop co-ordinates. If this is NULL, all co-ordinates are assumed to be world co-ordinates. See <-overlay_COORDINATE_TYPES-> for a list of supported co-ordinate types.

x1  The horizontal positions of the stop co-ordinates.

y1  The vertical positions of the stop co-ordinates.

colourname
    The colour name.

RETURN VALUE
The objectID on success, else 0.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/